Leave the group

Leave a specific group.

POST
https://api.wawp.net/v2/groups/{id}/leave?id=1234567890%40g.us&instance_id=123456789&access_token=123456789

Authentication Required

Login to swap the placeholders with your real Instance ID and Access Token.

Log In
Test /v2/groups/{id}/leave endpoint
POST
POST

No query parameters required

This endpoint doesn't expect data in the URL.

Best practices

  • Send a polite goodbye message before calling this endpoint.

  • If you are the only admin, promote someone else before leaving to ensure continuity.

  • Update your local database to mark this group as 'Inactive'.

Request Parameters

Configure the parameters required to interact with this endpoint. All query and body arguments are listed below with their details.

Request Body

Sent as a JSON object
string

Your unique WhatsApp Instance ID

Example:
string

Your API Access Token

Example:
string

The unique ID of the group

Example:

Request Samples

Use these ready-to-go code snippets to integrate our API into your project quickly and efficiently. Choose your preferred language and library.

1const baseUrl = "https://api.wawp.net";
2const endpoint = "/v2/groups/1234567890@g.us/leave";
3const params = new URLSearchParams({
4 "instance_id": "123456789",
5 "access_token": "123456789"
6}).toString();
7
8
9fetch(`${baseUrl}${endpoint}${params ? '?' + params : ''}`, {
10 method: "POST",
11 headers: { "Content-Type": "application/json" },
12
13})
14 .then(async (response) => {
15 if (response.ok) {
16 const data = await response.json();
17 console.log("Success:", data);
18 return data;
19 }
20
21 // Error Handling
22
23
24 const errorText = await response.text();
25 console.error(`Error ${response.status}: ${errorText}`);
26 })
27 .catch((error) => console.error("Network Error:", error));
Interactive Samples
Ln 27, Col 1javascript

Expected Responses

Explore all possible responses and outcomes from the server. We have documented each status code with data examples to make success and error handling easier.

Left group successfully
application/json
boolean *

Example

{
"ok": true
}

Command Palette

Search for a command to run...